Scientific Linux Security Update : libpng on SL5.x, SL6.x i386/x86_64

Medium Nessus Plugin ID 61307


The remote Scientific Linux host is missing one or more security updates.


The libpng packages contain a library of functions for creating and manipulating PNG (Portable Network Graphics) image format files.

A heap-based buffer overflow flaw was found in the way libpng processed tEXt chunks in PNG image files. An attacker could create a specially crafted PNG image file that, when opened, could cause an application using libpng to crash or, possibly, execute arbitrary code with the privileges of the user running the application.

Users of libpng should upgrade to these updated packages, which correct this issue. For Scientific Linux 5, they contain a backported patch. For Scientific Linux 6, they upgrade libpng to version 1.2.49.
All running applications using libpng must be restarted for the update to take effect.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 61307

File Name: sl_20120425_libpng_on_SL5_x.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2012/08/01

Modified: 2014/08/16

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2012/04/25

Reference Information

CVE: CVE-2011-3048